#include <stdio.h>
#include <stdlib.h>

/* 样例输入
3
140 160 140
183 172 170
180 181 174

 输出行列式对角线
 */

void arrClose(int n, int **pInt);

//创建行列式
int **arrInit(int n) {
    int **l;
    l = (int **) malloc(n * sizeof(int *));
    for (int i = 0; i < n; i++) {
        l[i] = (int *) malloc(n * sizeof(int));
        for (int j = 0; j < n; ++j) {
            scanf("%d", &l[i][j]);
        }
    }
    return l;
}

// 输出行列式对角线
int main() {
    int n = 0;
    scanf("%d", &n);
    int **l = arrInit(n);
    for (int i = 0; i < n; ++i) {
        printf("%d\n", l[i][i]);
    }
    arrClose(n, l);

    return 0;
}

void arrClose(int n, int **pInt) {
    for (int i = 0; i < n; ++i) {
        free(pInt[i]);
    }
}
