#include <stdio.h>
#include <stdlib.h>

/* 样例输入
3 3
140 160 140
183 172 170
180 181 174

 输出行平均值
 */

//创建行列式
int **arrInit(int m, int n);

// 释放行列式
void arrClose(int m, int n, int **pInt);


int main() {
    int m, n;
    scanf("%d %d", &m, &n);
    int **l = arrInit(m, n);

    for (int i = 0; i < m; ++i) {
        long avg = 0;
        for (int j = 0; j < n; ++j) {
            avg += l[i][j];
        }
        printf("%.6lf\n", (double) avg / n);
    }

    arrClose(m, n, l);

    return 0;
}

void arrClose(int m, int n, int **pInt) {
    for (int i = 0; i < m; ++i) {
        free(pInt[i]);
    }
    free(pInt);
}

int **arrInit(int m, int n) {
    int **l;
    l = (int **) malloc(m * sizeof(int *));
    for (int i = 0; i < m; i++) {
        l[i] = (int *) malloc(n * sizeof(int));
        for (int j = 0; j < n; ++j) {
            scanf("%d", &l[i][j]);
        }
    }
    return l;
}